Last Comment Bug 725047 - Remove the hack for dragging bookmarks toolbar folders on Linux
: Remove the hack for dragging bookmarks toolbar folders on Linux
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Firefox 13
Assigned To: Marco Bonardo [::mak]
:
Mentors:
Depends on: 500081
Blocks: 655972
  Show dependency treegraph
 
Reported: 2012-02-07 12:17 PST by Marco Bonardo [::mak]
Modified: 2012-03-16 16:33 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1.0 (4.54 KB, patch)
2012-03-08 07:42 PST, Marco Bonardo [::mak]
asaf: review+
Details | Diff | Splinter Review

Description Marco Bonardo [::mak] 2012-02-07 12:17:58 PST
This is no more needed, now that bug 500081 is properly fixed.

This bug practically ends up in removing all the sections marked
#ifdef XP_UNIX
#ifndef XP_MACOSX
from http://mxr.mozilla.org/mozilla-central/source/browser/components/places/content/browserPlacesViews.js and check the tests (there may be one to fix/remove)
Comment 1 Marco Bonardo [::mak] 2012-03-08 07:42:03 PST
Created attachment 604064 [details] [diff] [review]
patch v1.0

oh well, in the end was just pure boring code removal.
Comment 3 Marco Bonardo [::mak] 2012-03-09 05:13:33 PST
https://hg.mozilla.org/mozilla-central/rev/9fbb5a2b9f2e

Note You need to log in before you can comment on or make changes to this bug.